This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 748764 - “Jump to Section” menu items has been cropped on IE 8.
“Jump to Section” menu items has been cropped on IE 8.
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
unspecified
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: ---
Assigned To: Mike Thompson
Mike Foley
:
Depends On: jon310-sprint11/rhq44-sprint11
Blocks: jon30-sprint8 817141
  Show dependency treegraph
 
Reported: 2011-10-25 06:26 EDT by Jeeva Kandasamy
Modified: 2012-05-01 15:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-01 15:00:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
“Jump to Section” menu on System Settings + IE 8 browser details (395.28 KB, image/jpeg)
2011-10-25 06:26 EDT, Jeeva Kandasamy
no flags Details
“Jump to Section” menu on Connection Settings (186.95 KB, image/jpeg)
2011-10-25 06:27 EDT, Jeeva Kandasamy
no flags Details
“Jump to Section” menu on Configuration page (183.09 KB, image/jpeg)
2011-10-25 06:30 EDT, Jeeva Kandasamy
no flags Details

  None (edit)
Description Jeeva Kandasamy 2011-10-25 06:26:58 EDT
Created attachment 530047 [details]
“Jump to Section” menu on System Settings + IE 8 browser details

Description of problem:
“Jump to Section” menu items has been cropped on IE 8.

Version-Release number of selected component (if applicable):
Version: 4.1.0-SNAPSHOT
Build Number: 7911e52
GWT Version: 2.0.4
SmartGWT Version: 2.4
Browser IE 8 [Browser details screenshot is attached]

How reproducible:
100%


Steps to Reproduce:
1. Logon to RHQ/JON GUI
2. Navigate to “Administration--> System Settings”
3. Issue is happening not only on “System Settings”, We can see this where ever we have “Jump to Section” menu.
  
Actual results:
“Jump to Section” menu items has been cropped

Expected results:
“Jump to Section” menu items will be displayed 100%


Additional info: Screen-shorts are attached
Comment 1 Jeeva Kandasamy 2011-10-25 06:27:52 EDT
Created attachment 530048 [details]
“Jump to Section” menu on Connection Settings
Comment 2 Jeeva Kandasamy 2011-10-25 06:30:22 EDT
Created attachment 530049 [details]
“Jump to Section” menu on Configuration page
Comment 3 John Mazzitelli 2011-11-14 13:19:28 EST
for the record, this is the menu created in ConfigurationEditor.buildToolStrip():

        Menu menu = new LocatableMenu(toolStrip.extendLocatorId("JumpMenu"));
        for (SectionStackSection section : sectionStack.getSections()) {
            MenuItem item = new MenuItem(section.getTitle());
            item.setAttribute("name", section.getName());
            item.addClickHandler(new ClickHandler() {
                public void onClick(MenuItemClickEvent event) {
                    int index = event.getMenu().getItemNum(event.getItem());
                    sectionStack.expandSection(index);
                    sectionStack.showSection(index);
                }
            });
            menu.addItem(item);
        }
        menu.addItem(new MenuItemSeparator());

        MenuItem hideAllItem = new MenuItem(MSG.view_configEdit_hideAll());
        hideAllItem.addClickHandler(new ClickHandler() {
            public void onClick(MenuItemClickEvent event) {
                for (int i = 0; i < sectionStack.getSections().length; i++) {
                    sectionStack.collapseSection(i);
                }
            }
        });
        menu.addItem(hideAllItem);
Comment 4 John Mazzitelli 2011-11-14 15:37:29 EST
I've tried several things to increase the width and nothing is working. I suspect this is a smartgwt bug in the IE javascript.

I've tried combinations of:

        menu.setAutoFitData(Autofit.HORIZONTAL);
        menu.setAutoFitFieldWidths(true);
        menu.setWidth100();
        menu.setAutoWidth();

These affect the width of the menu canvas, but the title text is still cut off.
Comment 5 John Mazzitelli 2012-04-04 14:25:18 EDT
reassigning to mike - I think he may have already fixed this.

Mike - see if the new smartgwt upgrade fixed this or if you already fixed this (for some reason, I think I remember you saying you did some IE testing/fixing??)
Comment 6 Mike Foley 2012-04-23 20:47:35 EDT
let's revisit this to make sure we fix all the identified IE8 issues
Comment 7 Mike Foley 2012-04-23 20:59:32 EDT
setting priority to HIGH and sprint 11 tracker
Comment 8 Mike Foley 2012-05-01 15:00:00 EDT
this seems fine in RHQ 4.4 (JON 3.1 ) with IE8

Note You need to log in before you can comment on or make changes to this bug.